Page MenuHomePhabricator

Support for version branching for pages
Closed, ResolvedPublic

Description

This card tracks a proposal that's currently part of the Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

The Wishlist Survey voting phase lasts until Dec 14th. After the voting has concluded, the top proposals will form the backlog for the Community Tech team to investigate and address.

See also T113004: Make it easy to fork, branch, and merge pages (or more), which may overlap/duplicate.

Proposal:

Add ability to create own branch of page and ability to merge that version into main history (main branch). This would help to avoid most of edit wars and make comparing of different versions easier.

--AS (talk) 10:13, 27 May 2015 (UTC)

https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Miscellaneous#Support_for_version_branching_for_pages

Event Timeline

DannyH created this task.Dec 5 2015, 12:49 AM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Wishlist 51-on on the Community-Wishlist-Survey-2015 board.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 5 2015, 12:49 AM

Why are you adding bug duplicates?

DannyH added a comment.Dec 7 2015, 9:56 PM

I was setting up all the wishlist survey proposals as separate cards so that we could have discussion on them without interrupting other people's work. :) But if it's bothersome, I'll close this and just put the other ticket on the Wishlist Survey board.

DannyH closed this task as Resolved.Dec 7 2015, 9:56 PM
DannyH edited projects, added Community-Tech; removed Community-Wishlist-Survey-2015.
DannyH set Security to None.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Dec 8 2015, 6:54 PM